variables:
  C_LETTER_FREQUENCY: C_Programming/letter_frequency/

Build_C_Question_Letter_Frequency:
  image: registry.gitlab.com/90cos/docker-definitions/basic-dev
  stage: build
  script:
    - cd $C_LETTER_FREQUENCY
    - mkdir build
    - cmake -S . -B build/
    - make -C build/
  artifacts:
    paths:
      - ${C_LETTER_FREQUENCY}build/
    expire_in: 1 day

Test_C_Question_Letter_Frequency:
  image: registry.gitlab.com/90cos/docker-definitions/basic-dev
  stage: test
  dependencies:
    - Build_C_Question_Letter_Frequency
  script:
    - cd $C_LETTER_FREQUENCY
    - ./build/TestCode
